# zarf package pull
<!-- Auto-generated by hack/gen-cli-docs.sh -->

Pulls a Zarf package from a remote registry and save to the local file system

```
zarf package pull PACKAGE_SOURCE [flags]
```

## Examples

```

# Pull a package matching the current architecture
$ zarf package pull oci://ghcr.io/defenseunicorns/packages/dos-games:1.0.0

# Pull a package matching a specific architecture
$ zarf package pull oci://ghcr.io/defenseunicorns/packages/dos-games:1.0.0 -a arm64

# Pull a skeleton package
$ zarf package pull oci://ghcr.io/defenseunicorns/packages/dos-games:1.0.0 -a skeleton
```

## Options

```
  -h, --help                      help for pull
  -o, --output-directory string   Specify the output directory for the pulled Zarf package
```

## Options inherited from parent commands

```
  -a, --architecture string   Architecture for OCI images and Zarf packages
      --insecure              Allow access to insecure registries and disable other recommended security enforcements such as package checksum and signature validation. This flag should only be used if you have a specific reason and accept the reduced security posture.
  -k, --key string            Path to public key file for validating signed packages
  -l, --log-level string      Log level when running Zarf. Valid options are: warn, info, debug, trace (default "info")
      --no-color              Disable colors in output
      --no-log-file           Disable log file creation
      --no-progress           Disable fancy UI progress bars, spinners, logos, etc
      --oci-concurrency int   Number of concurrent layer operations to perform when interacting with a remote package. (default 3)
      --tmpdir string         Specify the temporary directory to use for intermediate files
      --zarf-cache string     Specify the location of the Zarf cache directory (default "~/.zarf-cache")
```

## SEE ALSO

* [zarf package](zarf_package.md)	 - Zarf package commands for creating, deploying, and inspecting packages
